void computeStars(inout vec3 output0, in vec3 worldSpacePosition, in vec2 horizon, in float cloudSurface) {

    vec2 starPlane = time * rcp16bit + worldSpacePosition.xz;

    float starVisibility = sqrt(moonLuminance) * horizon.y * (1.0 - cloudSurface);

    output0 = step(0.989, generate2DNoise(starPlane * 512.0)) * starVisibility + output0;
}