vec2 computeCameraVelocity(in vec3 screenPos) {

    vec3 projection = transMAD(gbufferModelViewInverse, projectViewSpace(screenPos.xy, screenPos.z, 1.0, gbufferProjectionInverse));

    projection = (cameraPosition - previousCameraPosition) + projection;

    projection = diagonal4(gbufferPreviousProjection).xyw * transMAD(gbufferPreviousModelView, projection) + gbufferPreviousProjection[3].w;

    return screenPos.xy - ((projection.xy / projection.z) * 0.5 + 0.5);
}