const int[64] ditherIndexTable = int[64](
0 , 42, 12, 60, 3 , 51, 15, 63,
32, 16, 44, 28, 35, 19, 47, 31,
8 , 56, 4 , 52, 11, 59, 7 , 55,
40, 24, 36, 20, 43, 27, 39, 23,
2 , 50, 14, 62, 1 , 49, 13, 61,
34, 18, 46, 30, 33, 17, 45, 29,
10, 58, 6 , 54, 9 , 57, 5 , 53,
42, 26, 38, 22, 41, 25, 37, 21); 

#if ANTI_ALIASING == 2 || ANTI_ALIASING == 3
    ivec2 tableCoord = ivec2(temporalJitter(frameCounter, frameTime) * 0.75 + gl_FragCoord.xy) & 7;
#else
    ivec2 tableCoord = ivec2(gl_FragCoord.xy) & 7;
#endif

float dither = ditherIndexTable[tableCoord.y * 8 + tableCoord.x] * 0.015625;