vec3 ACESFilm(in vec3 x) {

    const float a = 2.51;
    const float b = 0.03;
    const float c = 2.43;
    const float d = 0.59;
    const float e = 0.23;
    const float f = 0.08;

    x = x * x;
    x = x + x;
     
    return sqrt(abs(f * x - ((x * (a * x + b)) / (x * (c * x + d) + e))));

}